{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/api_user/settlement_concept_account_user/create') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/api_user/settlement_concept_account_user/create') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('external_user_api_user_settlement_concept_account_user_overview', fetch_merged_url_parameters_by_session_key_name('settlementConceptAccountUserOverview')) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">API-Nutzenden einladen</span>
        {{ form_widget(settlementConceptAccountUserForm.save, {'label': 'EINLADUNG SENDEN', 'id': settlementConceptAccountUserForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 px-4 py-3">
            <p class="mb-0">
                Mit dem Absenden des untenstehenden Formulars erhält der eingeladene Nutzende eine E-Mail mit einem Link zum Generieren des API-Tokens und dem Hinweis auf die API-Beschreibung.
            </p>
        </div>
        {{ form_start(settlementConceptAccountUserForm, {'attr': {'id': settlementConceptAccountUserForm.vars.id ~ '_form'}}) }}
        <div class="mdc-card mb-4 px-4 py-3">
            {% include 'external_user/form/api_user/settlement_concept_account_user/settlement_concept_account_user_form.html.twig' with {'form': settlementConceptAccountUserForm} only %}
        </div>
        {{ form_row(settlementConceptAccountUserForm._token) }}
        {{ form_end(settlementConceptAccountUserForm, {'render_rest': false}) }}
    </div>
{% endblock %}
